package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;

/**
 * BMS电池簇-电池单体数据
 */
public class BatteryClusterDataDetailVo {

    /** 设备id */
    private String siteId;

    /** 电池簇id */
    private String clusterId;

    /** 电压平均值 */
    private BigDecimal avgVoltage;

    /** 电压最大值 */
    private BigDecimal maxVoltage;

    /** 电压最小值  */
    private BigDecimal minVoltage;

    /** 温度平均值  */
    private BigDecimal avgTemp;

    /** 温度最大值 */
    private BigDecimal maxTemp;

    /** 温度最小值  */
    private BigDecimal minTemp;

    /** soc平均值  */
    private BigDecimal avgSoc;

    /** soc最大值 */
    private BigDecimal maxSoc;

    /** soc最小值 */
    private BigDecimal minSoc;

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getClusterId() {
        return clusterId;
    }

    public void setClusterId(String clusterId) {
        this.clusterId = clusterId;
    }

    public BigDecimal getAvgVoltage() {
        return avgVoltage;
    }

    public void setAvgVoltage(BigDecimal avgVoltage) {
        this.avgVoltage = avgVoltage;
    }

    public BigDecimal getMaxVoltage() {
        return maxVoltage;
    }

    public void setMaxVoltage(BigDecimal maxVoltage) {
        this.maxVoltage = maxVoltage;
    }

    public BigDecimal getMinVoltage() {
        return minVoltage;
    }

    public void setMinVoltage(BigDecimal minVoltage) {
        this.minVoltage = minVoltage;
    }

    public BigDecimal getAvgTemp() {
        return avgTemp;
    }

    public void setAvgTemp(BigDecimal avgTemp) {
        this.avgTemp = avgTemp;
    }

    public BigDecimal getMaxTemp() {
        return maxTemp;
    }

    public void setMaxTemp(BigDecimal maxTemp) {
        this.maxTemp = maxTemp;
    }

    public BigDecimal getMinTemp() {
        return minTemp;
    }

    public void setMinTemp(BigDecimal minTemp) {
        this.minTemp = minTemp;
    }

    public BigDecimal getAvgSoc() {
        return avgSoc;
    }

    public void setAvgSoc(BigDecimal avgSoc) {
        this.avgSoc = avgSoc;
    }

    public BigDecimal getMaxSoc() {
        return maxSoc;
    }

    public void setMaxSoc(BigDecimal maxSoc) {
        this.maxSoc = maxSoc;
    }

    public BigDecimal getMinSoc() {
        return minSoc;
    }

    public void setMinSoc(BigDecimal minSoc) {
        this.minSoc = minSoc;
    }
}
